Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.misc.neighborhood »

# mvpa2.misc.neighborhood.HollowSphere

class `mvpa2.misc.neighborhood.``HollowSphere`(radius, inner_radius, **kwargs)

  N-Dimensional hypersphere with a hollow internal sphere

  See parent class `Sphere` for more information.

  Examples

  Create a Sphere of diameter 1 and obtain all coordinates within range for the coordinate (1,1,1).

      >>> s = HollowSphere(1, 0)
      >>> s((2, 1))
      [(1, 1), (2, 0), (2, 2), (3, 1)]
      >>> s((1, ))
      [(0,), (2,)]

  Methods

  `train`(dataset) |

  Initialize the Sphere

  Parameters:

  radius : float

  > Radius of the ‘sphere’. If no `element_sizes` provided – radius would be effectively in number of voxels (if operating on MRI data).

  inner_radius : float

  > Inner radius of the ‘sphere’, describing where hollow part starts. It is inclusive, so `inner_radius` of 0, would already remove the center element.

  **kwargs :

  > See `Sphere` for additional keyword arguments

  Methods

  `train`(dataset) |

  `inner_radius`

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.misc.neighborhood »